Bug 1794443 - csound-6.13.0-5.fc32: FTBFS with gcc 10: ld: CMakeFiles/csbeats.dir/beatslex.yy.c.o:(.bss+0x20): multiple definition of `yyin'
Summary: csound-6.13.0-5.fc32: FTBFS with gcc 10: ld: CMakeFiles/csbeats.dir/beatslex....
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: csound
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 15:38 UTC by Jitka Plesnikova
Modified: 2020-08-31 08:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-18 10:35:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2020-01-23 15:38:55 UTC
csound-6.13.0-5.fc32 fails to build in F32:

/usr/bin/ld: CMakeFiles/csbeats.dir/beatslex.yy.c.o:(.bss+0x20): multiple definition of `yyin'; CMakeFiles/csbeats.dir/beats/main.c.o:/builddir/build/BUILD/csound-6.13.0/Frontends/beats/main.c:30: first defined here
collect2: error: ld returned 1 exit status

A difference between passing and failing build root is at 
https://koschei.fedoraproject.org/build//7767796
This is probably triggered with an upgrade of gcc from 9.2.1-1.fc32.3 to 10.0.1-0.3.fc32.

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/csound

Comment 1 Miro Hrončok 2020-02-06 17:38:40 UTC
csound also fails to build with Python 3.9.0a3.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01219464-csound/

For all our attempts to build csound with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/csound/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 2 Ben Cotton 2020-02-11 17:06:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Fedora Release Engineering 2020-02-16 04:31:27 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Update System 2020-02-17 15:30:03 UTC
FEDORA-2020-b1f037364f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1f037364f


Note You need to log in before you can comment on or make changes to this bug.